Mcreator 1.7.4 not working

Published by Nopyi on Wed, 05/09/2018 - 17:05
Status
Works as designed
Product/platform
MCreator/macOS
Priority
Normal
Issue description

   
Executing gradle command: cleanCache clean setupDecompWorkspace --refresh-dependencies
Support for running Gradle using Java 6 has been deprecated and will be removed in Gradle 3.0
#################################################
         ForgeGradle 2.2-SNAPSHOT-9bc34b4        
  https://github.com/MinecraftForge/ForgeGradle  
#################################################
               Powered by MCP unknown               
             http://modcoderpack.com             
         by: Searge, ProfMobius, Fesh0r,         
         R4wk, ZeuX, IngisKahn, bspkrs           
#################################################
:cleanCache
:clean UP-TO-DATE
:deobfCompileDummyTask
:deobfProvidedDummyTask
:getVersionJson
:extractUserdev
:extractDependencyATs SKIPPED
:extractMcpData
:extractMcpMappings
:genSrgs FAILED
FAILURE: Build failed with an exception.
* What went wrong:
Execution failed for task ':genSrgs'.
> joptsimple/internal/Strings : Unsupported major.minor version 51.0
* Try:
Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output.
BUILD FAILED
Total time: 29.816 secs
Task completed with return code 1 in 31939 milliseconds

Issue comments

You are using Java 6. MCreator needs Java 8 to work as clearly stated in the installation instructions.



Donate to MCreator

By donating to developers you can speed up development, as with more resources, we can dedicate more time to MCreator. It is a free project made by developers working on it in their free time.